﻿// <auto-generated />
using System;
using Ecology.Flora.DAL.PostgreSQL;
using Microsoft.EntityFrameworkCore;
using Microsoft.EntityFrameworkCore.Infrastructure;
using Microsoft.EntityFrameworkCore.Migrations;
using Microsoft.EntityFrameworkCore.Storage.ValueConversion;
using Npgsql.EntityFrameworkCore.PostgreSQL.Metadata;

#nullable disable

namespace Ecology.Flora.DAL.PostgreSQL.Migrations
{
    [DbContext(typeof(FloraDatabaseContext))]
    [Migration("20220325060258_ImageStorageFix")]
    partial class ImageStorageFix
    {
        protected override void BuildTargetModel(ModelBuilder modelBuilder)
        {
#pragma warning disable 612, 618
            modelBuilder
                .HasAnnotation("ProductVersion", "6.0.3")
                .HasAnnotation("Relational:MaxIdentifierLength", 63);

            NpgsqlModelBuilderExtensions.UseIdentityByDefaultColumns(modelBuilder);

            modelBuilder.Entity("EcologicalPhytocenoticGroupPlant", b =>
                {
                    b.Property<Guid>("EcologicalPhytocenoticGroupsId")
                        .HasColumnType("uuid");

                    b.Property<Guid>("PlantsId")
                        .HasColumnType("uuid");

                    b.HasKey("EcologicalPhytocenoticGroupsId", "PlantsId");

                    b.HasIndex("PlantsId");

                    b.ToTable("EcologicalPhytocenoticGroupPlant");
                });

            modelBuilder.Entity("Ecology.Flora.DAL.Logic.DbModels.Metrics.Metric", b =>
                {
                    b.Property<Guid>("Id")
                        .ValueGeneratedOnAdd()
                        .HasColumnType("uuid");

                    b.Property<DateTime>("Created")
                        .HasColumnType("timestamp with time zone");

                    b.Property<bool>("Deleted")
                        .HasColumnType("boolean");

                    b.Property<string>("Name")
                        .HasColumnType("jsonb");

                    b.Property<DateTime>("Updated")
                        .HasColumnType("timestamp with time zone");

                    b.HasKey("Id");

                    b.ToTable("Metric");

                    b.HasData(
                        new
                        {
                            Id = new Guid("aced897e-1284-444a-a618-86d8f2b1b838"),
                            Created = new DateTime(1, 1, 1, 0, 0, 0, 0, DateTimeKind.Unspecified),
                            Deleted = false,
                            Name = "{\"Ru\":\"Cтепень изученности растительного покрова\"}",
                            Updated = new DateTime(1, 1, 1, 0, 0, 0, 0, DateTimeKind.Unspecified)
                        },
                        new
                        {
                            Id = new Guid("f4a86d36-d4a5-4eec-b6e5-22c8cda0fe4a"),
                            Created = new DateTime(1, 1, 1, 0, 0, 0, 0, DateTimeKind.Unspecified),
                            Deleted = false,
                            Name = "{\"Ru\":\"Демонстрационное (эталонное) значение\"}",
                            Updated = new DateTime(1, 1, 1, 0, 0, 0, 0, DateTimeKind.Unspecified)
                        },
                        new
                        {
                            Id = new Guid("0bc1a1af-ce4c-4403-b4ac-13e0984275c1"),
                            Created = new DateTime(1, 1, 1, 0, 0, 0, 0, DateTimeKind.Unspecified),
                            Deleted = false,
                            Name = "{\"Ru\":\"Площадь памятника природы\"}",
                            Updated = new DateTime(1, 1, 1, 0, 0, 0, 0, DateTimeKind.Unspecified)
                        },
                        new
                        {
                            Id = new Guid("a516c974-6828-4f64-a90a-f3f912c8b683"),
                            Created = new DateTime(1, 1, 1, 0, 0, 0, 0, DateTimeKind.Unspecified),
                            Deleted = false,
                            Name = "{\"Ru\":\"Антропотолерантность растительного покрова\"}",
                            Updated = new DateTime(1, 1, 1, 0, 0, 0, 0, DateTimeKind.Unspecified)
                        },
                        new
                        {
                            Id = new Guid("e67c62df-fe6f-420a-92a4-cbe1bbd08afa"),
                            Created = new DateTime(1, 1, 1, 0, 0, 0, 0, DateTimeKind.Unspecified),
                            Deleted = false,
                            Name = "{\"Ru\":\"Ценотнческое разнообрази\"}",
                            Updated = new DateTime(1, 1, 1, 0, 0, 0, 0, DateTimeKind.Unspecified)
                        },
                        new
                        {
                            Id = new Guid("3ec5be41-785f-41f1-8dda-a66214d2d999"),
                            Created = new DateTime(1, 1, 1, 0, 0, 0, 0, DateTimeKind.Unspecified),
                            Deleted = false,
                            Name = "{\"Ru\":\"Общая численность видового разнообразия\"}",
                            Updated = new DateTime(1, 1, 1, 0, 0, 0, 0, DateTimeKind.Unspecified)
                        },
                        new
                        {
                            Id = new Guid("7665a6d9-319a-4d29-8f93-bb9aded0993e"),
                            Created = new DateTime(1, 1, 1, 0, 0, 0, 0, DateTimeKind.Unspecified),
                            Deleted = false,
                            Name = "{\"Ru\":\"Число видов, занесенных в Красную книгу Российской Федерации и Самарской области\"}",
                            Updated = new DateTime(1, 1, 1, 0, 0, 0, 0, DateTimeKind.Unspecified)
                        },
                        new
                        {
                            Id = new Guid("f4075d07-9baa-4c06-a475-e518b850b4f2"),
                            Created = new DateTime(1, 1, 1, 0, 0, 0, 0, DateTimeKind.Unspecified),
                            Deleted = false,
                            Name = "{\"Ru\":\"Степень трансформпрованности\"}",
                            Updated = new DateTime(1, 1, 1, 0, 0, 0, 0, DateTimeKind.Unspecified)
                        },
                        new
                        {
                            Id = new Guid("81445e34-2819-4664-9fc7-3dde860a1feb"),
                            Created = new DateTime(1, 1, 1, 0, 0, 0, 0, DateTimeKind.Unspecified),
                            Deleted = false,
                            Name = "{\"Ru\":\"Восстановительный потенциал\"}",
                            Updated = new DateTime(1, 1, 1, 0, 0, 0, 0, DateTimeKind.Unspecified)
                        });
                });

            modelBuilder.Entity("Ecology.Flora.DAL.Logic.DbModels.Metrics.MetricRaspred", b =>
                {
                    b.Property<Guid>("Id")
                        .ValueGeneratedOnAdd()
                        .HasColumnType("uuid");

                    b.Property<int>("Bal")
                        .HasColumnType("integer");

                    b.Property<DateTime>("Created")
                        .HasColumnType("timestamp with time zone");

                    b.Property<bool>("Deleted")
                        .HasColumnType("boolean");

                    b.Property<Guid?>("MetricId")
                        .HasColumnType("uuid");

                    b.Property<string>("Name")
                        .HasColumnType("jsonb");

                    b.Property<DateTime>("Updated")
                        .HasColumnType("timestamp with time zone");

                    b.Property<int>("Value")
                        .HasColumnType("integer");

                    b.HasKey("Id");

                    b.HasIndex("MetricId");

                    b.ToTable("MetricRaspred");

                    b.HasData(
                        new
                        {
                            Id = new Guid("bcc16160-9931-486c-baaf-2a8e93aed5ea"),
                            Bal = 0,
                            Created = new DateTime(1, 1, 1, 0, 0, 0, 0, DateTimeKind.Unspecified),
                            Deleted = false,
                            MetricId = new Guid("aced897e-1284-444a-a618-86d8f2b1b838"),
                            Name = "{\"Ru\":\"не изучен\"}",
                            Updated = new DateTime(1, 1, 1, 0, 0, 0, 0, DateTimeKind.Unspecified),
                            Value = -1
                        },
                        new
                        {
                            Id = new Guid("65cf14cf-70ba-4e89-912c-57a6722291f8"),
                            Bal = 1,
                            Created = new DateTime(1, 1, 1, 0, 0, 0, 0, DateTimeKind.Unspecified),
                            Deleted = false,
                            MetricId = new Guid("aced897e-1284-444a-a618-86d8f2b1b838"),
                            Name = "{\"Ru\":\"очень слабо изучен\"}",
                            Updated = new DateTime(1, 1, 1, 0, 0, 0, 0, DateTimeKind.Unspecified),
                            Value = 0
                        },
                        new
                        {
                            Id = new Guid("782184ab-93cb-4fe7-be6f-cf40f88ef128"),
                            Bal = 2,
                            Created = new DateTime(1, 1, 1, 0, 0, 0, 0, DateTimeKind.Unspecified),
                            Deleted = false,
                            MetricId = new Guid("aced897e-1284-444a-a618-86d8f2b1b838"),
                            Name = "{\"Ru\":\"слабо изучен\"}",
                            Updated = new DateTime(1, 1, 1, 0, 0, 0, 0, DateTimeKind.Unspecified),
                            Value = 2
                        },
                        new
                        {
                            Id = new Guid("22286c99-68cb-4fbe-92a4-f682fb64987f"),
                            Bal = 3,
                            Created = new DateTime(1, 1, 1, 0, 0, 0, 0, DateTimeKind.Unspecified),
                            Deleted = false,
                            MetricId = new Guid("aced897e-1284-444a-a618-86d8f2b1b838"),
                            Name = "{\"Ru\":\"средне изучен\"}",
                            Updated = new DateTime(1, 1, 1, 0, 0, 0, 0, DateTimeKind.Unspecified),
                            Value = 4
                        },
                        new
                        {
                            Id = new Guid("41d32b10-f9af-4d49-bee5-284108b6e3b7"),
                            Bal = 4,
                            Created = new DateTime(1, 1, 1, 0, 0, 0, 0, DateTimeKind.Unspecified),
                            Deleted = false,
                            MetricId = new Guid("aced897e-1284-444a-a618-86d8f2b1b838"),
                            Name = "{\"Ru\":\"хорошо изучен\"}",
                            Updated = new DateTime(1, 1, 1, 0, 0, 0, 0, DateTimeKind.Unspecified),
                            Value = 10
                        },
                        new
                        {
                            Id = new Guid("37a5b524-a401-4cc5-9e5b-1d1bd973e5ae"),
                            Bal = 0,
                            Created = new DateTime(1, 1, 1, 0, 0, 0, 0, DateTimeKind.Unspecified),
                            Deleted = false,
                            MetricId = new Guid("f4a86d36-d4a5-4eec-b6e5-22c8cda0fe4a"),
                            Name = "{\"Ru\":\"не имеет\"}",
                            Updated = new DateTime(1, 1, 1, 0, 0, 0, 0, DateTimeKind.Unspecified),
                            Value = -1
                        },
                        new
                        {
                            Id = new Guid("ba0b4792-6406-4384-8cc2-b175d68d537a"),
                            Bal = 2,
                            Created = new DateTime(1, 1, 1, 0, 0, 0, 0, DateTimeKind.Unspecified),
                            Deleted = false,
                            MetricId = new Guid("f4a86d36-d4a5-4eec-b6e5-22c8cda0fe4a"),
                            Name = "{\"Ru\":\"незначительное\"}",
                            Updated = new DateTime(1, 1, 1, 0, 0, 0, 0, DateTimeKind.Unspecified),
                            Value = 20
                        },
                        new
                        {
                            Id = new Guid("bb475d8c-b4fa-4e68-bf31-b822815df72c"),
                            Bal = 4,
                            Created = new DateTime(1, 1, 1, 0, 0, 0, 0, DateTimeKind.Unspecified),
                            Deleted = false,
                            MetricId = new Guid("f4a86d36-d4a5-4eec-b6e5-22c8cda0fe4a"),
                            Name = "{\"Ru\":\"среднее\"}",
                            Updated = new DateTime(1, 1, 1, 0, 0, 0, 0, DateTimeKind.Unspecified),
                            Value = 20
                        },
                        new
                        {
                            Id = new Guid("a5c58ab6-e56b-4f39-bd9d-9edd899527ff"),
                            Bal = 6,
                            Created = new DateTime(1, 1, 1, 0, 0, 0, 0, DateTimeKind.Unspecified),
                            Deleted = false,
                            MetricId = new Guid("f4a86d36-d4a5-4eec-b6e5-22c8cda0fe4a"),
                            Name = "{\"Ru\":\"большое\"}",
                            Updated = new DateTime(1, 1, 1, 0, 0, 0, 0, DateTimeKind.Unspecified),
                            Value = 50
                        },
                        new
                        {
                            Id = new Guid("f2595e32-666f-493d-bdfc-d7254bc1471d"),
                            Bal = 8,
                            Created = new DateTime(1, 1, 1, 0, 0, 0, 0, DateTimeKind.Unspecified),
                            Deleted = false,
                            MetricId = new Guid("f4a86d36-d4a5-4eec-b6e5-22c8cda0fe4a"),
                            Name = "{\"Ru\":\"очень большое\"}",
                            Updated = new DateTime(1, 1, 1, 0, 0, 0, 0, DateTimeKind.Unspecified),
                            Value = 90
                        },
                        new
                        {
                            Id = new Guid("a84c2fe6-dee5-4dc3-9423-e3221f19401a"),
                            Bal = 0,
                            Created = new DateTime(1, 1, 1, 0, 0, 0, 0, DateTimeKind.Unspecified),
                            Deleted = false,
                            MetricId = new Guid("0bc1a1af-ce4c-4403-b4ac-13e0984275c1"),
                            Name = "{\"Ru\":\"больше 1 га\"}",
                            Updated = new DateTime(1, 1, 1, 0, 0, 0, 0, DateTimeKind.Unspecified),
                            Value = -1
                        },
                        new
                        {
                            Id = new Guid("eed727ba-f364-4934-b2bc-dabfcd72d5fa"),
                            Bal = 3,
                            Created = new DateTime(1, 1, 1, 0, 0, 0, 0, DateTimeKind.Unspecified),
                            Deleted = false,
                            MetricId = new Guid("0bc1a1af-ce4c-4403-b4ac-13e0984275c1"),
                            Name = "{\"Ru\":\"до 10 га\"}",
                            Updated = new DateTime(1, 1, 1, 0, 0, 0, 0, DateTimeKind.Unspecified),
                            Value = 1
                        },
                        new
                        {
                            Id = new Guid("1a9ff714-37ae-424a-9a74-327ba8ab706e"),
                            Bal = 6,
                            Created = new DateTime(1, 1, 1, 0, 0, 0, 0, DateTimeKind.Unspecified),
                            Deleted = false,
                            MetricId = new Guid("0bc1a1af-ce4c-4403-b4ac-13e0984275c1"),
                            Name = "{\"Ru\":\"до 100 га\"}",
                            Updated = new DateTime(1, 1, 1, 0, 0, 0, 0, DateTimeKind.Unspecified),
                            Value = 10
                        },
                        new
                        {
                            Id = new Guid("bcedcbe1-dfe3-42bc-8143-15fede359ae0"),
                            Bal = 9,
                            Created = new DateTime(1, 1, 1, 0, 0, 0, 0, DateTimeKind.Unspecified),
                            Deleted = false,
                            MetricId = new Guid("0bc1a1af-ce4c-4403-b4ac-13e0984275c1"),
                            Name = "{\"Ru\":\"до 300 га\"}",
                            Updated = new DateTime(1, 1, 1, 0, 0, 0, 0, DateTimeKind.Unspecified),
                            Value = 100
                        },
                        new
                        {
                            Id = new Guid("14b5a520-082a-429b-a617-6f40d58cdfd4"),
                            Bal = 12,
                            Created = new DateTime(1, 1, 1, 0, 0, 0, 0, DateTimeKind.Unspecified),
                            Deleted = false,
                            MetricId = new Guid("0bc1a1af-ce4c-4403-b4ac-13e0984275c1"),
                            Name = "{\"Ru\":\"больше 300 га\"}",
                            Updated = new DateTime(1, 1, 1, 0, 0, 0, 0, DateTimeKind.Unspecified),
                            Value = 300
                        },
                        new
                        {
                            Id = new Guid("6bab36cd-3f9b-476b-85a9-bb6f6375c036"),
                            Bal = 0,
                            Created = new DateTime(1, 1, 1, 0, 0, 0, 0, DateTimeKind.Unspecified),
                            Deleted = false,
                            MetricId = new Guid("a516c974-6828-4f64-a90a-f3f912c8b683"),
                            Name = "{\"Ru\":\"очень высокая\"}",
                            Updated = new DateTime(1, 1, 1, 0, 0, 0, 0, DateTimeKind.Unspecified),
                            Value = 0
                        },
                        new
                        {
                            Id = new Guid("de10375f-b293-4493-a6d1-04528009ca98"),
                            Bal = 4,
                            Created = new DateTime(1, 1, 1, 0, 0, 0, 0, DateTimeKind.Unspecified),
                            Deleted = false,
                            MetricId = new Guid("a516c974-6828-4f64-a90a-f3f912c8b683"),
                            Name = "{\"Ru\":\"высокая\"}",
                            Updated = new DateTime(1, 1, 1, 0, 0, 0, 0, DateTimeKind.Unspecified),
                            Value = 0
                        },
                        new
                        {
                            Id = new Guid("ccec6d5d-67ad-4325-a494-f079fe00fcf1"),
                            Bal = 8,
                            Created = new DateTime(1, 1, 1, 0, 0, 0, 0, DateTimeKind.Unspecified),
                            Deleted = false,
                            MetricId = new Guid("a516c974-6828-4f64-a90a-f3f912c8b683"),
                            Name = "{\"Ru\":\"средняя\"}",
                            Updated = new DateTime(1, 1, 1, 0, 0, 0, 0, DateTimeKind.Unspecified),
                            Value = 0
                        },
                        new
                        {
                            Id = new Guid("0bc7fd4d-d965-4572-a6d1-6cea1aa3aa23"),
                            Bal = 12,
                            Created = new DateTime(1, 1, 1, 0, 0, 0, 0, DateTimeKind.Unspecified),
                            Deleted = false,
                            MetricId = new Guid("a516c974-6828-4f64-a90a-f3f912c8b683"),
                            Name = "{\"Ru\":\"слабая\"}",
                            Updated = new DateTime(1, 1, 1, 0, 0, 0, 0, DateTimeKind.Unspecified),
                            Value = 0
                        },
                        new
                        {
                            Id = new Guid("77127f02-9072-4a8d-8e9a-3028d2c26f16"),
                            Bal = 16,
                            Created = new DateTime(1, 1, 1, 0, 0, 0, 0, DateTimeKind.Unspecified),
                            Deleted = false,
                            MetricId = new Guid("a516c974-6828-4f64-a90a-f3f912c8b683"),
                            Name = "{\"Ru\":\"очень слабая\"}",
                            Updated = new DateTime(1, 1, 1, 0, 0, 0, 0, DateTimeKind.Unspecified),
                            Value = 0
                        },
                        new
                        {
                            Id = new Guid("25f789c0-3971-4be3-b0f1-4e0742f415c5"),
                            Bal = 0,
                            Created = new DateTime(1, 1, 1, 0, 0, 0, 0, DateTimeKind.Unspecified),
                            Deleted = false,
                            MetricId = new Guid("e67c62df-fe6f-420a-92a4-cbe1bbd08afa"),
                            Name = "{\"Ru\":\"один тип растительности\"}",
                            Updated = new DateTime(1, 1, 1, 0, 0, 0, 0, DateTimeKind.Unspecified),
                            Value = -1
                        },
                        new
                        {
                            Id = new Guid("288bf0f4-a085-48dc-9350-bafe6f81f610"),
                            Bal = 5,
                            Created = new DateTime(1, 1, 1, 0, 0, 0, 0, DateTimeKind.Unspecified),
                            Deleted = false,
                            MetricId = new Guid("e67c62df-fe6f-420a-92a4-cbe1bbd08afa"),
                            Name = "{\"Ru\":\"два типа растительности\"}",
                            Updated = new DateTime(1, 1, 1, 0, 0, 0, 0, DateTimeKind.Unspecified),
                            Value = 1
                        },
                        new
                        {
                            Id = new Guid("c443abfe-df93-4e9b-bb95-b31bc33a8efa"),
                            Bal = 10,
                            Created = new DateTime(1, 1, 1, 0, 0, 0, 0, DateTimeKind.Unspecified),
                            Deleted = false,
                            MetricId = new Guid("e67c62df-fe6f-420a-92a4-cbe1bbd08afa"),
                            Name = "{\"Ru\":\"три типа растительности\"}",
                            Updated = new DateTime(1, 1, 1, 0, 0, 0, 0, DateTimeKind.Unspecified),
                            Value = 2
                        },
                        new
                        {
                            Id = new Guid("7d47deef-8497-4a6b-bdd1-8d695593fcd1"),
                            Bal = 15,
                            Created = new DateTime(1, 1, 1, 0, 0, 0, 0, DateTimeKind.Unspecified),
                            Deleted = false,
                            MetricId = new Guid("e67c62df-fe6f-420a-92a4-cbe1bbd08afa"),
                            Name = "{\"Ru\":\"четыре типа растительности\"}",
                            Updated = new DateTime(1, 1, 1, 0, 0, 0, 0, DateTimeKind.Unspecified),
                            Value = 3
                        },
                        new
                        {
                            Id = new Guid("97c9693c-a91e-4d20-a896-1670c2d69f7f"),
                            Bal = 20,
                            Created = new DateTime(1, 1, 1, 0, 0, 0, 0, DateTimeKind.Unspecified),
                            Deleted = false,
                            MetricId = new Guid("e67c62df-fe6f-420a-92a4-cbe1bbd08afa"),
                            Name = "{\"Ru\":\"более четырех типов растительности\"}",
                            Updated = new DateTime(1, 1, 1, 0, 0, 0, 0, DateTimeKind.Unspecified),
                            Value = 4
                        },
                        new
                        {
                            Id = new Guid("0e3cb4ee-1ad8-4ae6-b86b-4ae65c413147"),
                            Bal = 0,
                            Created = new DateTime(1, 1, 1, 0, 0, 0, 0, DateTimeKind.Unspecified),
                            Deleted = false,
                            MetricId = new Guid("3ec5be41-785f-41f1-8dda-a66214d2d999"),
                            Name = "{\"Ru\":\"до 50 видов\"}",
                            Updated = new DateTime(1, 1, 1, 0, 0, 0, 0, DateTimeKind.Unspecified),
                            Value = -1
                        },
                        new
                        {
                            Id = new Guid("1c582251-c662-4115-a900-ea444d25d6ac"),
                            Bal = 6,
                            Created = new DateTime(1, 1, 1, 0, 0, 0, 0, DateTimeKind.Unspecified),
                            Deleted = false,
                            MetricId = new Guid("3ec5be41-785f-41f1-8dda-a66214d2d999"),
                            Name = "{\"Ru\":\"до 100 видов\"}",
                            Updated = new DateTime(1, 1, 1, 0, 0, 0, 0, DateTimeKind.Unspecified),
                            Value = 50
                        },
                        new
                        {
                            Id = new Guid("801c4000-81f7-4c81-8a54-1ffafebb050e"),
                            Bal = 12,
                            Created = new DateTime(1, 1, 1, 0, 0, 0, 0, DateTimeKind.Unspecified),
                            Deleted = false,
                            MetricId = new Guid("3ec5be41-785f-41f1-8dda-a66214d2d999"),
                            Name = "{\"Ru\":\"до 150 видов\"}",
                            Updated = new DateTime(1, 1, 1, 0, 0, 0, 0, DateTimeKind.Unspecified),
                            Value = 100
                        },
                        new
                        {
                            Id = new Guid("c386e693-de2a-4401-8175-08f216794fa8"),
                            Bal = 18,
                            Created = new DateTime(1, 1, 1, 0, 0, 0, 0, DateTimeKind.Unspecified),
                            Deleted = false,
                            MetricId = new Guid("3ec5be41-785f-41f1-8dda-a66214d2d999"),
                            Name = "{\"Ru\":\"до 300 видов\"}",
                            Updated = new DateTime(1, 1, 1, 0, 0, 0, 0, DateTimeKind.Unspecified),
                            Value = 150
                        },
                        new
                        {
                            Id = new Guid("33d71236-bb48-4e1a-b93b-721bba344152"),
                            Bal = 24,
                            Created = new DateTime(1, 1, 1, 0, 0, 0, 0, DateTimeKind.Unspecified),
                            Deleted = false,
                            MetricId = new Guid("3ec5be41-785f-41f1-8dda-a66214d2d999"),
                            Name = "{\"Ru\":\"более 300 видов\"}",
                            Updated = new DateTime(1, 1, 1, 0, 0, 0, 0, DateTimeKind.Unspecified),
                            Value = 300
                        },
                        new
                        {
                            Id = new Guid("855fe008-c723-4a76-84f5-f017e4b04626"),
                            Bal = 0,
                            Created = new DateTime(1, 1, 1, 0, 0, 0, 0, DateTimeKind.Unspecified),
                            Deleted = false,
                            MetricId = new Guid("7665a6d9-319a-4d29-8f93-bb9aded0993e"),
                            Name = "{\"Ru\":\"не занесено\"}",
                            Updated = new DateTime(1, 1, 1, 0, 0, 0, 0, DateTimeKind.Unspecified),
                            Value = -1
                        },
                        new
                        {
                            Id = new Guid("2ff80421-e8b2-4cb0-a595-92a0a994fe82"),
                            Bal = 7,
                            Created = new DateTime(1, 1, 1, 0, 0, 0, 0, DateTimeKind.Unspecified),
                            Deleted = false,
                            MetricId = new Guid("7665a6d9-319a-4d29-8f93-bb9aded0993e"),
                            Name = "{\"Ru\":\"от 1 до 5 видов\"}",
                            Updated = new DateTime(1, 1, 1, 0, 0, 0, 0, DateTimeKind.Unspecified),
                            Value = 0
                        },
                        new
                        {
                            Id = new Guid("2cea744f-a7a8-4b4c-b47e-2463b60cbb0f"),
                            Bal = 14,
                            Created = new DateTime(1, 1, 1, 0, 0, 0, 0, DateTimeKind.Unspecified),
                            Deleted = false,
                            MetricId = new Guid("7665a6d9-319a-4d29-8f93-bb9aded0993e"),
                            Name = "{\"Ru\":\"6-10 видов\"}",
                            Updated = new DateTime(1, 1, 1, 0, 0, 0, 0, DateTimeKind.Unspecified),
                            Value = 5
                        },
                        new
                        {
                            Id = new Guid("f9184881-cc8c-434f-b40f-426f2abc4182"),
                            Bal = 21,
                            Created = new DateTime(1, 1, 1, 0, 0, 0, 0, DateTimeKind.Unspecified),
                            Deleted = false,
                            MetricId = new Guid("7665a6d9-319a-4d29-8f93-bb9aded0993e"),
                            Name = "{\"Ru\":\"11-20 видов\"}",
                            Updated = new DateTime(1, 1, 1, 0, 0, 0, 0, DateTimeKind.Unspecified),
                            Value = 10
                        },
                        new
                        {
                            Id = new Guid("e9302e68-b55b-41e4-a812-a8b1575c1869"),
                            Bal = 28,
                            Created = new DateTime(1, 1, 1, 0, 0, 0, 0, DateTimeKind.Unspecified),
                            Deleted = false,
                            MetricId = new Guid("7665a6d9-319a-4d29-8f93-bb9aded0993e"),
                            Name = "{\"Ru\":\"более 21 вида\"}",
                            Updated = new DateTime(1, 1, 1, 0, 0, 0, 0, DateTimeKind.Unspecified),
                            Value = 20
                        },
                        new
                        {
                            Id = new Guid("f7263813-d795-4ed0-a4c0-295f35d8f934"),
                            Bal = 0,
                            Created = new DateTime(1, 1, 1, 0, 0, 0, 0, DateTimeKind.Unspecified),
                            Deleted = false,
                            MetricId = new Guid("f4075d07-9baa-4c06-a475-e518b850b4f2"),
                            Name = "{\"Ru\":\"полностью трансформирован\"}",
                            Updated = new DateTime(1, 1, 1, 0, 0, 0, 0, DateTimeKind.Unspecified),
                            Value = -1
                        },
                        new
                        {
                            Id = new Guid("ece4881e-d0f7-4d05-adf5-614e9accf30b"),
                            Bal = 8,
                            Created = new DateTime(1, 1, 1, 0, 0, 0, 0, DateTimeKind.Unspecified),
                            Deleted = false,
                            MetricId = new Guid("f4075d07-9baa-4c06-a475-e518b850b4f2"),
                            Name = "{\"Ru\":\"сильно трансформирован\"}",
                            Updated = new DateTime(1, 1, 1, 0, 0, 0, 0, DateTimeKind.Unspecified),
                            Value = 20
                        },
                        new
                        {
                            Id = new Guid("a52d6397-3e1b-4c35-8f12-78c10408a9db"),
                            Bal = 16,
                            Created = new DateTime(1, 1, 1, 0, 0, 0, 0, DateTimeKind.Unspecified),
                            Deleted = false,
                            MetricId = new Guid("f4075d07-9baa-4c06-a475-e518b850b4f2"),
                            Name = "{\"Ru\":\"слабо трансформирован\"}",
                            Updated = new DateTime(1, 1, 1, 0, 0, 0, 0, DateTimeKind.Unspecified),
                            Value = 40
                        },
                        new
                        {
                            Id = new Guid("31d36bf2-19fa-46cf-a01d-2b9762732bd8"),
                            Bal = 24,
                            Created = new DateTime(1, 1, 1, 0, 0, 0, 0, DateTimeKind.Unspecified),
                            Deleted = false,
                            MetricId = new Guid("f4075d07-9baa-4c06-a475-e518b850b4f2"),
                            Name = "{\"Ru\":\"условно коренной\"}",
                            Updated = new DateTime(1, 1, 1, 0, 0, 0, 0, DateTimeKind.Unspecified),
                            Value = 60
                        },
                        new
                        {
                            Id = new Guid("9961a32a-97ec-4d96-8623-cb666dffde96"),
                            Bal = 32,
                            Created = new DateTime(1, 1, 1, 0, 0, 0, 0, DateTimeKind.Unspecified),
                            Deleted = false,
                            MetricId = new Guid("f4075d07-9baa-4c06-a475-e518b850b4f2"),
                            Name = "{\"Ru\":\"коренной\"}",
                            Updated = new DateTime(1, 1, 1, 0, 0, 0, 0, DateTimeKind.Unspecified),
                            Value = 80
                        },
                        new
                        {
                            Id = new Guid("baf4167a-9f6d-49e4-aa96-b7808484ba6f"),
                            Bal = 0,
                            Created = new DateTime(1, 1, 1, 0, 0, 0, 0, DateTimeKind.Unspecified),
                            Deleted = false,
                            MetricId = new Guid("81445e34-2819-4664-9fc7-3dde860a1feb"),
                            Name = "{\"Ru\":\"очень хороший\"}",
                            Updated = new DateTime(1, 1, 1, 0, 0, 0, 0, DateTimeKind.Unspecified),
                            Value = -1
                        },
                        new
                        {
                            Id = new Guid("fa8a9d98-51e7-4c8c-b53d-1344995fa282"),
                            Bal = 9,
                            Created = new DateTime(1, 1, 1, 0, 0, 0, 0, DateTimeKind.Unspecified),
                            Deleted = false,
                            MetricId = new Guid("81445e34-2819-4664-9fc7-3dde860a1feb"),
                            Name = "{\"Ru\":\"хороший\"}",
                            Updated = new DateTime(1, 1, 1, 0, 0, 0, 0, DateTimeKind.Unspecified),
                            Value = 50
                        },
                        new
                        {
                            Id = new Guid("fc4bdc25-6953-4b9a-98f0-a896cc10e48f"),
                            Bal = 18,
                            Created = new DateTime(1, 1, 1, 0, 0, 0, 0, DateTimeKind.Unspecified),
                            Deleted = false,
                            MetricId = new Guid("81445e34-2819-4664-9fc7-3dde860a1feb"),
                            Name = "{\"Ru\":\"удовлетворительный\"}",
                            Updated = new DateTime(1, 1, 1, 0, 0, 0, 0, DateTimeKind.Unspecified),
                            Value = 100
                        },
                        new
                        {
                            Id = new Guid("74cf4c2f-7885-4486-a0f4-56019ad88b47"),
                            Bal = 27,
                            Created = new DateTime(1, 1, 1, 0, 0, 0, 0, DateTimeKind.Unspecified),
                            Deleted = false,
                            MetricId = new Guid("81445e34-2819-4664-9fc7-3dde860a1feb"),
                            Name = "{\"Ru\":\"слабый\"}",
                            Updated = new DateTime(1, 1, 1, 0, 0, 0, 0, DateTimeKind.Unspecified),
                            Value = 150
                        },
                        new
                        {
                            Id = new Guid("fd072c8d-9c48-4fbc-b73b-8bd503f3d09c"),
                            Bal = 36,
                            Created = new DateTime(1, 1, 1, 0, 0, 0, 0, DateTimeKind.Unspecified),
                            Deleted = false,
                            MetricId = new Guid("81445e34-2819-4664-9fc7-3dde860a1feb"),
                            Name = "{\"Ru\":\"очень слабый\"}",
                            Updated = new DateTime(1, 1, 1, 0, 0, 0, 0, DateTimeKind.Unspecified),
                            Value = 200
                        });
                });

            modelBuilder.Entity("Ecology.Flora.DAL.Logic.DbModels.Plants.ArealType", b =>
                {
                    b.Property<Guid>("Id")
                        .ValueGeneratedOnAdd()
                        .HasColumnType("uuid");

                    b.Property<DateTime>("Created")
                        .HasColumnType("timestamp with time zone");

                    b.Property<bool>("Deleted")
                        .HasColumnType("boolean");

                    b.Property<string>("Name")
                        .HasColumnType("jsonb");

                    b.Property<DateTime>("Updated")
                        .HasColumnType("timestamp with time zone");

                    b.HasKey("Id");

                    b.ToTable("ArealType");
                });

            modelBuilder.Entity("Ecology.Flora.DAL.Logic.DbModels.Plants.EcologicalPhytocenoticGroup", b =>
                {
                    b.Property<Guid>("Id")
                        .ValueGeneratedOnAdd()
                        .HasColumnType("uuid");

                    b.Property<DateTime>("Created")
                        .HasColumnType("timestamp with time zone");

                    b.Property<bool>("Deleted")
                        .HasColumnType("boolean");

                    b.Property<string>("Name")
                        .HasColumnType("jsonb");

                    b.Property<DateTime>("Updated")
                        .HasColumnType("timestamp with time zone");

                    b.HasKey("Id");

                    b.ToTable("EcologicalPhytocenoticGroup");
                });

            modelBuilder.Entity("Ecology.Flora.DAL.Logic.DbModels.Plants.EconomicValue", b =>
                {
                    b.Property<Guid>("Id")
                        .ValueGeneratedOnAdd()
                        .HasColumnType("uuid");

                    b.Property<DateTime>("Created")
                        .HasColumnType("timestamp with time zone");

                    b.Property<bool>("Deleted")
                        .HasColumnType("boolean");

                    b.Property<string>("Name")
                        .HasColumnType("jsonb");

                    b.Property<DateTime>("Updated")
                        .HasColumnType("timestamp with time zone");

                    b.HasKey("Id");

                    b.ToTable("EconomicValue");
                });

            modelBuilder.Entity("Ecology.Flora.DAL.Logic.DbModels.Plants.HydrotypeGroup", b =>
                {
                    b.Property<Guid>("Id")
                        .ValueGeneratedOnAdd()
                        .HasColumnType("uuid");

                    b.Property<DateTime>("Created")
                        .HasColumnType("timestamp with time zone");

                    b.Property<bool>("Deleted")
                        .HasColumnType("boolean");

                    b.Property<string>("Name")
                        .HasColumnType("jsonb");

                    b.Property<DateTime>("Updated")
                        .HasColumnType("timestamp with time zone");

                    b.HasKey("Id");

                    b.ToTable("HydrotypeGroup");
                });

            modelBuilder.Entity("Ecology.Flora.DAL.Logic.DbModels.Plants.IntroductionTimeGroup", b =>
                {
                    b.Property<Guid>("Id")
                        .ValueGeneratedOnAdd()
                        .HasColumnType("uuid");

                    b.Property<DateTime>("Created")
                        .HasColumnType("timestamp with time zone");

                    b.Property<bool>("Deleted")
                        .HasColumnType("boolean");

                    b.Property<string>("Name")
                        .HasColumnType("jsonb");

                    b.Property<DateTime>("Updated")
                        .HasColumnType("timestamp with time zone");

                    b.HasKey("Id");

                    b.ToTable("IntroductionTimeGroup");
                });

            modelBuilder.Entity("Ecology.Flora.DAL.Logic.DbModels.Plants.IntroductionWay", b =>
                {
                    b.Property<Guid>("Id")
                        .ValueGeneratedOnAdd()
                        .HasColumnType("uuid");

                    b.Property<DateTime>("Created")
                        .HasColumnType("timestamp with time zone");

                    b.Property<bool>("Deleted")
                        .HasColumnType("boolean");

                    b.Property<string>("Name")
                        .HasColumnType("jsonb");

                    b.Property<DateTime>("Updated")
                        .HasColumnType("timestamp with time zone");

                    b.HasKey("Id");

                    b.ToTable("IntroductionWay");
                });

            modelBuilder.Entity("Ecology.Flora.DAL.Logic.DbModels.Plants.LifeFormRaunkiaer", b =>
                {
                    b.Property<Guid>("Id")
                        .ValueGeneratedOnAdd()
                        .HasColumnType("uuid");

                    b.Property<DateTime>("Created")
                        .HasColumnType("timestamp with time zone");

                    b.Property<bool>("Deleted")
                        .HasColumnType("boolean");

                    b.Property<string>("Name")
                        .HasColumnType("jsonb");

                    b.Property<DateTime>("Updated")
                        .HasColumnType("timestamp with time zone");

                    b.HasKey("Id");

                    b.ToTable("LifeFormRaunkiaer");
                });

            modelBuilder.Entity("Ecology.Flora.DAL.Logic.DbModels.Plants.LifeFormSerebryakovGolubev", b =>
                {
                    b.Property<Guid>("Id")
                        .ValueGeneratedOnAdd()
                        .HasColumnType("uuid");

                    b.Property<DateTime>("Created")
                        .HasColumnType("timestamp with time zone");

                    b.Property<bool>("Deleted")
                        .HasColumnType("boolean");

                    b.Property<string>("Name")
                        .HasColumnType("jsonb");

                    b.Property<DateTime>("Updated")
                        .HasColumnType("timestamp with time zone");

                    b.HasKey("Id");

                    b.ToTable("LifeFormSerebryakovGolubev");
                });

            modelBuilder.Entity("Ecology.Flora.DAL.Logic.DbModels.Plants.NaturalizationDegree", b =>
                {
                    b.Property<Guid>("Id")
                        .ValueGeneratedOnAdd()
                        .HasColumnType("uuid");

                    b.Property<DateTime>("Created")
                        .HasColumnType("timestamp with time zone");

                    b.Property<bool>("Deleted")
                        .HasColumnType("boolean");

                    b.Property<string>("Name")
                        .HasColumnType("jsonb");

                    b.Property<DateTime>("Updated")
                        .HasColumnType("timestamp with time zone");

                    b.HasKey("Id");

                    b.ToTable("NaturalizationDegree");
                });

            modelBuilder.Entity("Ecology.Flora.DAL.Logic.DbModels.Plants.OccurrenceSpecies", b =>
                {
                    b.Property<Guid>("Id")
                        .ValueGeneratedOnAdd()
                        .HasColumnType("uuid");

                    b.Property<DateTime>("Created")
                        .HasColumnType("timestamp with time zone");

                    b.Property<bool>("Deleted")
                        .HasColumnType("boolean");

                    b.Property<string>("Name")
                        .HasColumnType("jsonb");

                    b.Property<DateTime>("Updated")
                        .HasColumnType("timestamp with time zone");

                    b.HasKey("Id");

                    b.ToTable("OccurrenceSpecies");
                });

            modelBuilder.Entity("Ecology.Flora.DAL.Logic.DbModels.Plants.Oopt", b =>
                {
                    b.Property<Guid>("Id")
                        .ValueGeneratedOnAdd()
                        .HasColumnType("uuid");

                    b.Property<DateTime>("Created")
                        .HasColumnType("timestamp with time zone");

                    b.Property<bool>("Deleted")
                        .HasColumnType("boolean");

                    b.Property<int>("Metric8")
                        .HasColumnType("integer");

                    b.Property<string>("Name")
                        .HasColumnType("jsonb");

                    b.Property<int>("Square")
                        .HasColumnType("integer");

                    b.Property<DateTime>("Updated")
                        .HasColumnType("timestamp with time zone");

                    b.HasKey("Id");

                    b.ToTable("Oopt");
                });

            modelBuilder.Entity("Ecology.Flora.DAL.Logic.DbModels.Plants.OriginSpecies", b =>
                {
                    b.Property<Guid>("Id")
                        .ValueGeneratedOnAdd()
                        .HasColumnType("uuid");

                    b.Property<DateTime>("Created")
                        .HasColumnType("timestamp with time zone");

                    b.Property<bool>("Deleted")
                        .HasColumnType("boolean");

                    b.Property<string>("Name")
                        .HasColumnType("jsonb");

                    b.Property<DateTime>("Updated")
                        .HasColumnType("timestamp with time zone");

                    b.HasKey("Id");

                    b.ToTable("OriginSpecies");
                });

            modelBuilder.Entity("Ecology.Flora.DAL.Logic.DbModels.Plants.Plant", b =>
                {
                    b.Property<Guid>("Id")
                        .ValueGeneratedOnAdd()
                        .HasColumnType("uuid");

                    b.Property<Guid?>("ArealTypeId")
                        .HasColumnType("uuid");

                    b.Property<Guid?>("AvatarId")
                        .HasColumnType("uuid");

                    b.Property<DateTime>("Created")
                        .HasColumnType("timestamp with time zone");

                    b.Property<bool>("Deleted")
                        .HasColumnType("boolean");

                    b.Property<string>("EcologicalPhytocenoticGroupComment")
                        .HasColumnType("jsonb");

                    b.Property<Guid?>("HydrotypeGroupId")
                        .HasColumnType("uuid");

                    b.Property<Guid?>("IntroductionTimeGroupId")
                        .HasColumnType("uuid");

                    b.Property<Guid?>("IntroductionWayId")
                        .HasColumnType("uuid");

                    b.Property<Guid?>("LifeFormSerebryakovGolubevId")
                        .HasColumnType("uuid");

                    b.Property<string>("Name")
                        .HasColumnType("jsonb");

                    b.Property<Guid?>("NaturalizationDegreeId")
                        .HasColumnType("uuid");

                    b.Property<Guid?>("OccurrenceSpeciesId")
                        .HasColumnType("uuid");

                    b.Property<Guid?>("OoptId")
                        .HasColumnType("uuid");

                    b.Property<Guid?>("OriginSpeciesId")
                        .HasColumnType("uuid");

                    b.Property<Guid?>("PlantFamilyId")
                        .HasColumnType("uuid");

                    b.Property<string>("Position")
                        .HasColumnType("jsonb");

                    b.Property<string>("RedBookComment")
                        .HasColumnType("jsonb");

                    b.Property<Guid?>("RiverId")
                        .HasColumnType("uuid");

                    b.Property<DateTime>("Updated")
                        .HasColumnType("timestamp with time zone");

                    b.HasKey("Id");

                    b.HasIndex("ArealTypeId");

                    b.HasIndex("HydrotypeGroupId");

                    b.HasIndex("IntroductionTimeGroupId");

                    b.HasIndex("IntroductionWayId");

                    b.HasIndex("LifeFormSerebryakovGolubevId");

                    b.HasIndex("NaturalizationDegreeId");

                    b.HasIndex("OccurrenceSpeciesId");

                    b.HasIndex("OoptId");

                    b.HasIndex("OriginSpeciesId");

                    b.HasIndex("PlantFamilyId");

                    b.HasIndex("RiverId");

                    b.ToTable("Plant");
                });

            modelBuilder.Entity("Ecology.Flora.DAL.Logic.DbModels.Plants.PlantClade", b =>
                {
                    b.Property<Guid>("Id")
                        .ValueGeneratedOnAdd()
                        .HasColumnType("uuid");

                    b.Property<DateTime>("Created")
                        .HasColumnType("timestamp with time zone");

                    b.Property<bool>("Deleted")
                        .HasColumnType("boolean");

                    b.Property<string>("Name")
                        .HasColumnType("jsonb");

                    b.Property<DateTime>("Updated")
                        .HasColumnType("timestamp with time zone");

                    b.HasKey("Id");

                    b.ToTable("PlantClade");
                });

            modelBuilder.Entity("Ecology.Flora.DAL.Logic.DbModels.Plants.PlantClass", b =>
                {
                    b.Property<Guid>("Id")
                        .ValueGeneratedOnAdd()
                        .HasColumnType("uuid");

                    b.Property<DateTime>("Created")
                        .HasColumnType("timestamp with time zone");

                    b.Property<bool>("Deleted")
                        .HasColumnType("boolean");

                    b.Property<string>("Name")
                        .HasColumnType("jsonb");

                    b.Property<Guid?>("PlantCladeId")
                        .HasColumnType("uuid");

                    b.Property<DateTime>("Updated")
                        .HasColumnType("timestamp with time zone");

                    b.HasKey("Id");

                    b.HasIndex("PlantCladeId");

                    b.ToTable("PlantClass");
                });

            modelBuilder.Entity("Ecology.Flora.DAL.Logic.DbModels.Plants.PlantFamily", b =>
                {
                    b.Property<Guid>("Id")
                        .ValueGeneratedOnAdd()
                        .HasColumnType("uuid");

                    b.Property<DateTime>("Created")
                        .HasColumnType("timestamp with time zone");

                    b.Property<bool>("Deleted")
                        .HasColumnType("boolean");

                    b.Property<string>("Name")
                        .HasColumnType("jsonb");

                    b.Property<Guid?>("PlantClassId")
                        .HasColumnType("uuid");

                    b.Property<DateTime>("Updated")
                        .HasColumnType("timestamp with time zone");

                    b.HasKey("Id");

                    b.HasIndex("PlantClassId");

                    b.ToTable("PlantFamily");
                });

            modelBuilder.Entity("Ecology.Flora.DAL.Logic.DbModels.Plants.RarityCategory", b =>
                {
                    b.Property<Guid>("Id")
                        .ValueGeneratedOnAdd()
                        .HasColumnType("uuid");

                    b.Property<string>("Code")
                        .HasColumnType("text");

                    b.Property<DateTime>("Created")
                        .HasColumnType("timestamp with time zone");

                    b.Property<bool>("Deleted")
                        .HasColumnType("boolean");

                    b.Property<string>("Name")
                        .HasColumnType("jsonb");

                    b.Property<DateTime>("Updated")
                        .HasColumnType("timestamp with time zone");

                    b.HasKey("Id");

                    b.ToTable("RarityCategory");

                    b.HasData(
                        new
                        {
                            Id = new Guid("cefdbf7a-2ae5-4166-bec4-ce65d742283b"),
                            Code = "Ex",
                            Created = new DateTime(1, 1, 1, 0, 0, 0, 0, DateTimeKind.Unspecified),
                            Deleted = false,
                            Name = "{\"Ru\":\"По-видимому, исчезнувшие на территории бассейна реки Свияги\"}",
                            Updated = new DateTime(1, 1, 1, 0, 0, 0, 0, DateTimeKind.Unspecified)
                        },
                        new
                        {
                            Id = new Guid("41c67e4a-8a65-42ef-9c6c-3ec197b6a3e2"),
                            Code = "E",
                            Created = new DateTime(1, 1, 1, 0, 0, 0, 0, DateTimeKind.Unspecified),
                            Deleted = false,
                            Name = "{\"Ru\":\"Виды, находящиеся под угрозой исчезновения\"}",
                            Updated = new DateTime(1, 1, 1, 0, 0, 0, 0, DateTimeKind.Unspecified)
                        },
                        new
                        {
                            Id = new Guid("6c9a8d99-3460-4fdf-800c-cc2ea147c9cc"),
                            Code = "V",
                            Created = new DateTime(1, 1, 1, 0, 0, 0, 0, DateTimeKind.Unspecified),
                            Deleted = false,
                            Name = "{\"Ru\":\"Уязвимые виды, сокращающиеся в численности\"}",
                            Updated = new DateTime(1, 1, 1, 0, 0, 0, 0, DateTimeKind.Unspecified)
                        },
                        new
                        {
                            Id = new Guid("ebedc54f-5392-4a0e-ba40-5e7511d323e8"),
                            Code = "R",
                            Created = new DateTime(1, 1, 1, 0, 0, 0, 0, DateTimeKind.Unspecified),
                            Deleted = false,
                            Name = "{\"Ru\":\"Редкие виды\"}",
                            Updated = new DateTime(1, 1, 1, 0, 0, 0, 0, DateTimeKind.Unspecified)
                        },
                        new
                        {
                            Id = new Guid("8a111549-6e7b-46cf-97f1-63189880db30"),
                            Code = "I",
                            Created = new DateTime(1, 1, 1, 0, 0, 0, 0, DateTimeKind.Unspecified),
                            Deleted = false,
                            Name = "{\"Ru\":\"Виды с неопределенным статусом\"}",
                            Updated = new DateTime(1, 1, 1, 0, 0, 0, 0, DateTimeKind.Unspecified)
                        });
                });

            modelBuilder.Entity("Ecology.Flora.DAL.Logic.DbModels.Plants.RedBook", b =>
                {
                    b.Property<Guid>("Id")
                        .ValueGeneratedOnAdd()
                        .HasColumnType("uuid");

                    b.Property<DateTime>("Created")
                        .HasColumnType("timestamp with time zone");

                    b.Property<bool>("Deleted")
                        .HasColumnType("boolean");

                    b.Property<string>("Name")
                        .HasColumnType("jsonb");

                    b.Property<DateTime>("Updated")
                        .HasColumnType("timestamp with time zone");

                    b.HasKey("Id");

                    b.ToTable("RedBook");
                });

            modelBuilder.Entity("Ecology.Flora.DAL.Logic.DbModels.Plants.RedBookPlant", b =>
                {
                    b.Property<Guid>("Id")
                        .ValueGeneratedOnAdd()
                        .HasColumnType("uuid");

                    b.Property<DateTime>("Created")
                        .HasColumnType("timestamp with time zone");

                    b.Property<bool>("Deleted")
                        .HasColumnType("boolean");

                    b.Property<string>("Name")
                        .HasColumnType("jsonb");

                    b.Property<Guid>("PlantId")
                        .HasColumnType("uuid");

                    b.Property<Guid>("RarityCategoryId")
                        .HasColumnType("uuid");

                    b.Property<Guid>("RedBookId")
                        .HasColumnType("uuid");

                    b.Property<DateTime>("Updated")
                        .HasColumnType("timestamp with time zone");

                    b.HasKey("Id");

                    b.HasIndex("PlantId");

                    b.HasIndex("RarityCategoryId");

                    b.HasIndex("RedBookId");

                    b.ToTable("RedBookPlant");
                });

            modelBuilder.Entity("Ecology.Flora.DAL.Logic.DbModels.Plants.River", b =>
                {
                    b.Property<Guid>("Id")
                        .ValueGeneratedOnAdd()
                        .HasColumnType("uuid");

                    b.Property<DateTime>("Created")
                        .HasColumnType("timestamp with time zone");

                    b.Property<bool>("Deleted")
                        .HasColumnType("boolean");

                    b.Property<string>("Name")
                        .HasColumnType("jsonb");

                    b.Property<DateTime>("Updated")
                        .HasColumnType("timestamp with time zone");

                    b.HasKey("Id");

                    b.ToTable("River");
                });

            modelBuilder.Entity("Ecology.Flora.DAL.Logic.DbModels.Storage.Image", b =>
                {
                    b.Property<Guid>("Id")
                        .ValueGeneratedOnAdd()
                        .HasColumnType("uuid");

                    b.Property<DateTime>("Created")
                        .HasColumnType("timestamp with time zone");

                    b.Property<bool>("Deleted")
                        .HasColumnType("boolean");

                    b.Property<string>("Name")
                        .HasColumnType("jsonb");

                    b.Property<DateTime>("Updated")
                        .HasColumnType("timestamp with time zone");

                    b.HasKey("Id");

                    b.ToTable("Image");
                });

            modelBuilder.Entity("Ecology.Flora.DAL.Logic.DbModels.Users.Role", b =>
                {
                    b.Property<Guid>("Id")
                        .ValueGeneratedOnAdd()
                        .HasColumnType("uuid");

                    b.Property<DateTime>("Created")
                        .HasColumnType("timestamp with time zone");

                    b.Property<bool>("Deleted")
                        .HasColumnType("boolean");

                    b.Property<string>("Name")
                        .HasColumnType("jsonb");

                    b.Property<DateTime>("Updated")
                        .HasColumnType("timestamp with time zone");

                    b.HasKey("Id");

                    b.ToTable("Role");

                    b.HasData(
                        new
                        {
                            Id = new Guid("13f58593-d0d5-43d0-a2e6-404af9c49af1"),
                            Created = new DateTime(1, 1, 1, 0, 0, 0, 0, DateTimeKind.Unspecified),
                            Deleted = false,
                            Name = "{\"Ru\":\"ADMIN\"}",
                            Updated = new DateTime(1, 1, 1, 0, 0, 0, 0, DateTimeKind.Unspecified)
                        },
                        new
                        {
                            Id = new Guid("f6c16d1d-98b0-430d-a4bc-b31b37df5ac1"),
                            Created = new DateTime(1, 1, 1, 0, 0, 0, 0, DateTimeKind.Unspecified),
                            Deleted = false,
                            Name = "{\"Ru\":\"USER\"}",
                            Updated = new DateTime(1, 1, 1, 0, 0, 0, 0, DateTimeKind.Unspecified)
                        });
                });

            modelBuilder.Entity("Ecology.Flora.DAL.Logic.DbModels.Users.User", b =>
                {
                    b.Property<Guid>("Id")
                        .ValueGeneratedOnAdd()
                        .HasColumnType("uuid");

                    b.Property<DateTime>("Created")
                        .HasColumnType("timestamp with time zone");

                    b.Property<bool>("Deleted")
                        .HasColumnType("boolean");

                    b.Property<string>("Email")
                        .HasColumnType("text");

                    b.Property<string>("Name")
                        .HasColumnType("jsonb");

                    b.Property<string>("Password")
                        .HasColumnType("text");

                    b.Property<string>("RefreshToken")
                        .HasColumnType("text");

                    b.Property<DateTime>("Updated")
                        .HasColumnType("timestamp with time zone");

                    b.Property<string>("Username")
                        .HasColumnType("text");

                    b.HasKey("Id");

                    b.ToTable("User");

                    b.HasData(
                        new
                        {
                            Id = new Guid("aee1cd0d-7109-475b-913c-84574d7b1ca7"),
                            Created = new DateTime(1, 1, 1, 0, 0, 0, 0, DateTimeKind.Unspecified),
                            Deleted = false,
                            Email = "admin@admin.ru",
                            Name = "{\"Ru\":\"Adminov Admin Adminovich\"}",
                            Password = "51dc47aa1066e41966a8f11573b4de7840b1f849c3062315beca024ceceeca00",
                            Updated = new DateTime(1, 1, 1, 0, 0, 0, 0, DateTimeKind.Unspecified),
                            Username = "Admin"
                        });
                });

            modelBuilder.Entity("Ecology.Flora.DAL.Logic.DbModels.Workers.WorkTask", b =>
                {
                    b.Property<Guid>("Id")
                        .ValueGeneratedOnAdd()
                        .HasColumnType("uuid");

                    b.Property<DateTime>("Created")
                        .HasColumnType("timestamp with time zone");

                    b.Property<bool>("Deleted")
                        .HasColumnType("boolean");

                    b.Property<string>("Message")
                        .HasColumnType("text");

                    b.Property<string>("Name")
                        .HasColumnType("jsonb");

                    b.Property<string>("Namespace")
                        .HasColumnType("text");

                    b.Property<int>("Status")
                        .HasColumnType("integer");

                    b.Property<DateTime>("Updated")
                        .HasColumnType("timestamp with time zone");

                    b.HasKey("Id");

                    b.ToTable("WorkTask");
                });

            modelBuilder.Entity("EconomicValuePlant", b =>
                {
                    b.Property<Guid>("EconomicValuesId")
                        .HasColumnType("uuid");

                    b.Property<Guid>("PlantsId")
                        .HasColumnType("uuid");

                    b.HasKey("EconomicValuesId", "PlantsId");

                    b.HasIndex("PlantsId");

                    b.ToTable("EconomicValuePlant");
                });

            modelBuilder.Entity("LifeFormRaunkiaerPlant", b =>
                {
                    b.Property<Guid>("LifeFormRaunkiaersId")
                        .HasColumnType("uuid");

                    b.Property<Guid>("PlantsId")
                        .HasColumnType("uuid");

                    b.HasKey("LifeFormRaunkiaersId", "PlantsId");

                    b.HasIndex("PlantsId");

                    b.ToTable("LifeFormRaunkiaerPlant");
                });

            modelBuilder.Entity("PlantUser", b =>
                {
                    b.Property<Guid>("AuthorsId")
                        .HasColumnType("uuid");

                    b.Property<Guid>("PlantsId")
                        .HasColumnType("uuid");

                    b.HasKey("AuthorsId", "PlantsId");

                    b.HasIndex("PlantsId");

                    b.ToTable("PlantUser");
                });

            modelBuilder.Entity("RoleUser", b =>
                {
                    b.Property<Guid>("RolesId")
                        .HasColumnType("uuid");

                    b.Property<Guid>("UsersId")
                        .HasColumnType("uuid");

                    b.HasKey("RolesId", "UsersId");

                    b.HasIndex("UsersId");

                    b.ToTable("RoleUser");

                    b.HasData(
                        new
                        {
                            RolesId = new Guid("13f58593-d0d5-43d0-a2e6-404af9c49af1"),
                            UsersId = new Guid("aee1cd0d-7109-475b-913c-84574d7b1ca7")
                        },
                        new
                        {
                            RolesId = new Guid("f6c16d1d-98b0-430d-a4bc-b31b37df5ac1"),
                            UsersId = new Guid("aee1cd0d-7109-475b-913c-84574d7b1ca7")
                        });
                });

            modelBuilder.Entity("EcologicalPhytocenoticGroupPlant", b =>
                {
                    b.HasOne("Ecology.Flora.DAL.Logic.DbModels.Plants.EcologicalPhytocenoticGroup", null)
                        .WithMany()
                        .HasForeignKey("EcologicalPhytocenoticGroupsId")
                        .OnDelete(DeleteBehavior.Cascade)
                        .IsRequired();

                    b.HasOne("Ecology.Flora.DAL.Logic.DbModels.Plants.Plant", null)
                        .WithMany()
                        .HasForeignKey("PlantsId")
                        .OnDelete(DeleteBehavior.Cascade)
                        .IsRequired();
                });

            modelBuilder.Entity("Ecology.Flora.DAL.Logic.DbModels.Metrics.MetricRaspred", b =>
                {
                    b.HasOne("Ecology.Flora.DAL.Logic.DbModels.Metrics.Metric", "Metric")
                        .WithMany("MetricRaspreds")
                        .HasForeignKey("MetricId");

                    b.Navigation("Metric");
                });

            modelBuilder.Entity("Ecology.Flora.DAL.Logic.DbModels.Plants.Plant", b =>
                {
                    b.HasOne("Ecology.Flora.DAL.Logic.DbModels.Plants.ArealType", "ArealType")
                        .WithMany("Plants")
                        .HasForeignKey("ArealTypeId");

                    b.HasOne("Ecology.Flora.DAL.Logic.DbModels.Plants.HydrotypeGroup", "HydrotypeGroup")
                        .WithMany("Plants")
                        .HasForeignKey("HydrotypeGroupId");

                    b.HasOne("Ecology.Flora.DAL.Logic.DbModels.Plants.IntroductionTimeGroup", "IntroductionTimeGroup")
                        .WithMany("Plants")
                        .HasForeignKey("IntroductionTimeGroupId");

                    b.HasOne("Ecology.Flora.DAL.Logic.DbModels.Plants.IntroductionWay", "IntroductionWay")
                        .WithMany("Plants")
                        .HasForeignKey("IntroductionWayId");

                    b.HasOne("Ecology.Flora.DAL.Logic.DbModels.Plants.LifeFormSerebryakovGolubev", "LifeFormSerebryakovGolubev")
                        .WithMany("Plants")
                        .HasForeignKey("LifeFormSerebryakovGolubevId");

                    b.HasOne("Ecology.Flora.DAL.Logic.DbModels.Plants.NaturalizationDegree", "NaturalizationDegree")
                        .WithMany("Plants")
                        .HasForeignKey("NaturalizationDegreeId");

                    b.HasOne("Ecology.Flora.DAL.Logic.DbModels.Plants.OccurrenceSpecies", "OccurrenceSpecies")
                        .WithMany("Plants")
                        .HasForeignKey("OccurrenceSpeciesId");

                    b.HasOne("Ecology.Flora.DAL.Logic.DbModels.Plants.Oopt", "Oopt")
                        .WithMany("Plants")
                        .HasForeignKey("OoptId");

                    b.HasOne("Ecology.Flora.DAL.Logic.DbModels.Plants.OriginSpecies", "OriginSpecies")
                        .WithMany("Plants")
                        .HasForeignKey("OriginSpeciesId");

                    b.HasOne("Ecology.Flora.DAL.Logic.DbModels.Plants.PlantFamily", "PlantFamily")
                        .WithMany("Plants")
                        .HasForeignKey("PlantFamilyId");

                    b.HasOne("Ecology.Flora.DAL.Logic.DbModels.Plants.River", "River")
                        .WithMany("Plants")
                        .HasForeignKey("RiverId");

                    b.Navigation("ArealType");

                    b.Navigation("HydrotypeGroup");

                    b.Navigation("IntroductionTimeGroup");

                    b.Navigation("IntroductionWay");

                    b.Navigation("LifeFormSerebryakovGolubev");

                    b.Navigation("NaturalizationDegree");

                    b.Navigation("OccurrenceSpecies");

                    b.Navigation("Oopt");

                    b.Navigation("OriginSpecies");

                    b.Navigation("PlantFamily");

                    b.Navigation("River");
                });

            modelBuilder.Entity("Ecology.Flora.DAL.Logic.DbModels.Plants.PlantClass", b =>
                {
                    b.HasOne("Ecology.Flora.DAL.Logic.DbModels.Plants.PlantClade", "PlantClade")
                        .WithMany("PlantClasses")
                        .HasForeignKey("PlantCladeId");

                    b.Navigation("PlantClade");
                });

            modelBuilder.Entity("Ecology.Flora.DAL.Logic.DbModels.Plants.PlantFamily", b =>
                {
                    b.HasOne("Ecology.Flora.DAL.Logic.DbModels.Plants.PlantClass", "PlantClass")
                        .WithMany("PlantFamilies")
                        .HasForeignKey("PlantClassId");

                    b.Navigation("PlantClass");
                });

            modelBuilder.Entity("Ecology.Flora.DAL.Logic.DbModels.Plants.RedBookPlant", b =>
                {
                    b.HasOne("Ecology.Flora.DAL.Logic.DbModels.Plants.Plant", "Plant")
                        .WithMany("RedBookPlants")
                        .HasForeignKey("PlantId")
                        .OnDelete(DeleteBehavior.Cascade)
                        .IsRequired();

                    b.HasOne("Ecology.Flora.DAL.Logic.DbModels.Plants.RarityCategory", "RarityCategory")
                        .WithMany()
                        .HasForeignKey("RarityCategoryId")
                        .OnDelete(DeleteBehavior.Cascade)
                        .IsRequired();

                    b.HasOne("Ecology.Flora.DAL.Logic.DbModels.Plants.RedBook", "RedBook")
                        .WithMany("RedBookPlants")
                        .HasForeignKey("RedBookId")
                        .OnDelete(DeleteBehavior.Cascade)
                        .IsRequired();

                    b.Navigation("Plant");

                    b.Navigation("RarityCategory");

                    b.Navigation("RedBook");
                });

            modelBuilder.Entity("EconomicValuePlant", b =>
                {
                    b.HasOne("Ecology.Flora.DAL.Logic.DbModels.Plants.EconomicValue", null)
                        .WithMany()
                        .HasForeignKey("EconomicValuesId")
                        .OnDelete(DeleteBehavior.Cascade)
                        .IsRequired();

                    b.HasOne("Ecology.Flora.DAL.Logic.DbModels.Plants.Plant", null)
                        .WithMany()
                        .HasForeignKey("PlantsId")
                        .OnDelete(DeleteBehavior.Cascade)
                        .IsRequired();
                });

            modelBuilder.Entity("LifeFormRaunkiaerPlant", b =>
                {
                    b.HasOne("Ecology.Flora.DAL.Logic.DbModels.Plants.LifeFormRaunkiaer", null)
                        .WithMany()
                        .HasForeignKey("LifeFormRaunkiaersId")
                        .OnDelete(DeleteBehavior.Cascade)
                        .IsRequired();

                    b.HasOne("Ecology.Flora.DAL.Logic.DbModels.Plants.Plant", null)
                        .WithMany()
                        .HasForeignKey("PlantsId")
                        .OnDelete(DeleteBehavior.Cascade)
                        .IsRequired();
                });

            modelBuilder.Entity("PlantUser", b =>
                {
                    b.HasOne("Ecology.Flora.DAL.Logic.DbModels.Users.User", null)
                        .WithMany()
                        .HasForeignKey("AuthorsId")
                        .OnDelete(DeleteBehavior.Cascade)
                        .IsRequired();

                    b.HasOne("Ecology.Flora.DAL.Logic.DbModels.Plants.Plant", null)
                        .WithMany()
                        .HasForeignKey("PlantsId")
                        .OnDelete(DeleteBehavior.Cascade)
                        .IsRequired();
                });

            modelBuilder.Entity("RoleUser", b =>
                {
                    b.HasOne("Ecology.Flora.DAL.Logic.DbModels.Users.Role", null)
                        .WithMany()
                        .HasForeignKey("RolesId")
                        .OnDelete(DeleteBehavior.Cascade)
                        .IsRequired();

                    b.HasOne("Ecology.Flora.DAL.Logic.DbModels.Users.User", null)
                        .WithMany()
                        .HasForeignKey("UsersId")
                        .OnDelete(DeleteBehavior.Cascade)
                        .IsRequired();
                });

            modelBuilder.Entity("Ecology.Flora.DAL.Logic.DbModels.Metrics.Metric", b =>
                {
                    b.Navigation("MetricRaspreds");
                });

            modelBuilder.Entity("Ecology.Flora.DAL.Logic.DbModels.Plants.ArealType", b =>
                {
                    b.Navigation("Plants");
                });

            modelBuilder.Entity("Ecology.Flora.DAL.Logic.DbModels.Plants.HydrotypeGroup", b =>
                {
                    b.Navigation("Plants");
                });

            modelBuilder.Entity("Ecology.Flora.DAL.Logic.DbModels.Plants.IntroductionTimeGroup", b =>
                {
                    b.Navigation("Plants");
                });

            modelBuilder.Entity("Ecology.Flora.DAL.Logic.DbModels.Plants.IntroductionWay", b =>
                {
                    b.Navigation("Plants");
                });

            modelBuilder.Entity("Ecology.Flora.DAL.Logic.DbModels.Plants.LifeFormSerebryakovGolubev", b =>
                {
                    b.Navigation("Plants");
                });

            modelBuilder.Entity("Ecology.Flora.DAL.Logic.DbModels.Plants.NaturalizationDegree", b =>
                {
                    b.Navigation("Plants");
                });

            modelBuilder.Entity("Ecology.Flora.DAL.Logic.DbModels.Plants.OccurrenceSpecies", b =>
                {
                    b.Navigation("Plants");
                });

            modelBuilder.Entity("Ecology.Flora.DAL.Logic.DbModels.Plants.Oopt", b =>
                {
                    b.Navigation("Plants");
                });

            modelBuilder.Entity("Ecology.Flora.DAL.Logic.DbModels.Plants.OriginSpecies", b =>
                {
                    b.Navigation("Plants");
                });

            modelBuilder.Entity("Ecology.Flora.DAL.Logic.DbModels.Plants.Plant", b =>
                {
                    b.Navigation("RedBookPlants");
                });

            modelBuilder.Entity("Ecology.Flora.DAL.Logic.DbModels.Plants.PlantClade", b =>
                {
                    b.Navigation("PlantClasses");
                });

            modelBuilder.Entity("Ecology.Flora.DAL.Logic.DbModels.Plants.PlantClass", b =>
                {
                    b.Navigation("PlantFamilies");
                });

            modelBuilder.Entity("Ecology.Flora.DAL.Logic.DbModels.Plants.PlantFamily", b =>
                {
                    b.Navigation("Plants");
                });

            modelBuilder.Entity("Ecology.Flora.DAL.Logic.DbModels.Plants.RedBook", b =>
                {
                    b.Navigation("RedBookPlants");
                });

            modelBuilder.Entity("Ecology.Flora.DAL.Logic.DbModels.Plants.River", b =>
                {
                    b.Navigation("Plants");
                });
#pragma warning restore 612, 618
        }
    }
}
